Skip to main content
POST
Create a customer

Authorizations

Authorization
string
header
required

An access token (at_test_… or at_live_…) from POST https://idp.talescria.com/oauth/token.

Headers

Idempotency-Key
string
required

A unique key for this operation. Send the same key when you retry it. Kept for 24 hours.

Required string length: 8 - 255
Pattern: ^[A-Za-z0-9_\-:.]+$

Body

application/json
name
string
required
Maximum string length: 200
email
string<email>
required

Where requests for money go. Stored lower-cased.

additionalEmails
string<email>[]

Copied on every request.

Maximum array length: 5
phone
string
Maximum string length: 32
address
object

Response

Added.

customer
object